package de.fraunhofer.iem.dataprovider.gitlab.service

import de.fraunhofer.iem.dataprovider.taskManager.TaskManager
import de.fraunhofer.iem.dataprovider.taskManager.events.RepoChangedEvent
import org.springframework.stereotype.Service


@Service
class GitlabService(
        private val taskManager: TaskManager
) {

    suspend fun queryOpenCodeProject(repoId: Long) {
        taskManager.addEvent(RepoChangedEvent(repoId = repoId))
    }

}