package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.ort.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SummaryJson(
    @SerialName("end_time")
    val endTime: String?,
    @SerialName("issues")
    val issues: List<IssueJson?>? = listOf(),
    @SerialName("start_time")
    val startTime: String?
)