package de.fraunhofer.iem.dataprovider.dependency.repository

import de.fraunhofer.iem.dataprovider.dependency.entity.DependencyEntity
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import java.util.*

interface DependencyRepository : JpaRepository<DependencyEntity, UUID> {


    @Query("select d from DependencyEntity d inner join d.repositories repositories where repositories.id = ?1")
    fun findByRepositories_Id(id: UUID): List<DependencyEntity>
}
