package de.fraunhofer.iem.dataprovider.dependency.service

import de.fraunhofer.iem.dataprovider.dependency.dto.DependencyCreateDto
import de.fraunhofer.iem.dataprovider.dependency.entity.DependencyEntity
import de.fraunhofer.iem.dataprovider.dependency.repository.DependencyRepository
import de.fraunhofer.iem.dataprovider.logger.getLogger
import org.springframework.stereotype.Service
import java.util.*

@Service
class DependencyService(private val dependencyRepository: DependencyRepository) {

    private val logger = getLogger(javaClass)
    fun save(dependencyEntity: DependencyEntity) {
        dependencyRepository.save(dependencyEntity)
    }

    fun getDependenciesForRepository(repoId: UUID): List<DependencyCreateDto> {
        // TODO: Refactor the type of dependencycreatdto
        return dependencyRepository.findByRepositories_Id(repoId).map { it.toDto() }
    }
}
