package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.occmd.json.raw

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class OccmdRaw(
    @SerialName("version")
    val version: String,

    @SerialName("plugins_used")
    val pluginsUsed: List<PluginUsed>,

    @SerialName("filters_used")
    val filtersUsed: List<FilterUsed>,

    @SerialName("results")
    val results: Map<String, List<Result>>,

    @SerialName("generated_at")
    val generatedAt: String
)
