package de.fraunhofer.iem.dataprovider.tool.repository

import de.fraunhofer.iem.dataprovider.tool.entity.ToolEntity
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface ToolRepository : JpaRepository<ToolEntity, UUID> {
    fun findByFullNameIgnoreCaseAndNameIgnoreCaseAndVersionIgnoreCase(
        fullName: String?,
        name: String?,
        version: String?
    ): ToolEntity?
}